Subject: Offline Message from ESRAA: Hello, I tried to call multiple times on the prov
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Sun, 21 Jun 2020 09:41:40 -0000

From: ESRAA <[email-masked]>
Phone: 
Location: Dammam, Saudi Arabia
URL: https://saudi.mumzworld.com/sa-ar/
Department: 

Hello,
I tried to call multiple times on the provided number in the website, every time i call it let me wait 10 minutes and then disconnected by itself !! 

i tried to chat and send email multiple times to solve my issue. and I lost count by now of how many times i did! 

please i need someone responsible to solve the issue.. every representative is telling me i will get back to you soon and i never hear back! 

I am asking kindly to do the necessary job and act on my case. 

I have sent a detailed email to [email-masked]
and kept sending reminder but i never heard back! 

I hope you can get back to me to. 

here is the email. 
Hello Mumz world team, 
I have two orders both of them placed almost 3 months ago. I have sent so many emails and i have contacted customer support multiple times and my issues are not resolved yet. I am a regular customer at Mumzworld but i am so upset about the customer service! I repeated the same story over and over in Chat. So many promises that they will reply back to me and i never hear back.  so i have decided to send an email to not repeat myself over and over again . I want this email to be escalated to be resolved asap. 

Order number 600748834, is failed to be delivered. I have contacted customer service (chat) multiple times to check with the shipping company.. Finally, on 24th of May after 3 months of chasing “Anas” from customer support told me a refund will be issued and i should get the money back within 5-6 working days. However, I have not received anything yet on my bank account!

the second order 600799249 is closed .. although i have not received my items. i have contacted customer service to cancel intex playhouse jump-O-Lene and i have received a gift certificate of 230 AED ..
but I have two other items in the same order .. they are not delivered nor received a gift certificate. 

So, I kindly request to receive a FULL refund (not a gift certificate) for both of my orders as I don’t want to place any new order now. 
I kindly request to escalate this email to resolve the issue asap.

waiting to hear back soon
Thanks 
Esraa Almarzooq 
+966542211144

----
Zopim
https://www.zopim.com